package io.zipcoder;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.net.URL;
import java.util.*;

public class WC {
    private Iterator<String> si;
    Map<String, Integer> map = new TreeMap<String, Integer>();

    public WC(String fileName) {
        try {
            this.si = new Scanner(new FileReader(fileName));
        } catch (FileNotFoundException e) {
            System.out.println(fileName + " Does Not Exist");
            System.exit(-1);
        }
    }

    public WC(Iterator<String> si) {
        this.si = si;

    }

    public Map<String, Integer> readFile(){
        while (si.hasNext()) {
            String word = si.next();
            if (map.containsKey(word)) {
                int count = map.get(word)+1;
                map.put(word, count);
            } else {
                map.put(word, 1);
            }
        }
        return map;
    }

    public static void main(String[] args) throws FileNotFoundException {


        String filename = "./../../FileToRead.txt";
        String filePath = WC.class.getResource(filename).getFile();

        WC wc = new WC(filePath);
        wc.readFile();
        Map<String, Integer> map = wc.readFile();
        for (Map.Entry<String, Integer> entry : map.entrySet()) {
            System.out.println(entry);
        }
    }
}
