package io.zipcoder;

import org.junit.Assert;
import org.junit.Test;

public class ParenCheckerTest {

    ParenChecker checker = new ParenChecker();

    @Test
    public void testOneParenthesis(){
        String value = "(apple)";

        Assert.assertTrue(checker.isValid(value));
    }

    @Test
    public void testParenthesis_withoutClosing(){
        String value = "(apple";

        Assert.assertFalse(checker.isValid(value));
    }

    @Test
    public void testParenthesis_withoutOpening(){
        String value = "apple)";

        Assert.assertFalse(checker.isValid(value));
    }

    @Test
    public void testTwoParenthesis(){
        String value = "(ap()ple)";

        Assert.assertTrue(checker.isValid(value));
    }

    @Test
    public void testIsPaired(){
        String value = "(apple)";

        Assert.assertTrue(checker.checkIfPaired(value));
    }

    @Test
    public void testIsPaired_withoutClosing(){
        String value = "[apple";

        Assert.assertFalse(checker.checkIfPaired(value));
    }

    @Test
    public void testIsPaired_withTwoSets(){
        String value = "<ap<p>le>";

        Assert.assertTrue(checker.checkIfPaired(value));
    }

    @Test
    public void testIsPaired_withoutOpening(){
        String value = "apple}";

        Assert.assertFalse(checker.checkIfPaired(value));
    }

    @Test
    public void testIsPaired_withQuotations(){
        String value = "ap\"ple";

        Assert.assertFalse(checker.checkIfPaired(value));
    }
}